// TODO add error actionTypes related to errors needed in actions.js
/**
 * List of dynamically namespaced REST oriented actionTypes.
 * @memberof RESTReduxCRUD
 * @namespace
 * @param {string} namespace The desired namespace. eg. Query.
 * @returns {object} actionTypes object containing the namespaced actionTypes.
 */
const actionTypes = (namespace) => ({
    /**
     * Namespaced list request actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/LIST_REQ`.
     */
    LIST_REQ: `${namespace}/LIST_REQ`,
    /**
     * Namespaced list response actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/LIST_RESP`.
     */
    LIST_RESP: `${namespace}/LIST_RESP`,
    /**
     * Namespaced get request actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/GET_REQ`.
     */
    GET_REQ: `${namespace}/GET_REQ`,
    /**
     * Namespaced get response actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/GET_RESP`.
     */
    GET_RESP: `${namespace}/GET_RESP`,
    /**
     * Namespaced add request actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/ADD_REQ`.
     */
    ADD_REQ: `${namespace}/ADD_REQ`,
    /**
     * Namespaced add response actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/ADD_RESP`.
     */
    ADD_RESP: `${namespace}/ADD_RESP`,
    /**
     * Namespaced edit request actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/EDIT_REQ`.
     */
    EDIT_REQ: `${namespace}/EDIT_REQ`,
    /**
     * Namespaced edit response actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/EDIT_RESP`.
     */
    EDIT_RESP: `${namespace}/EDIT_RESP`,
    /**
     * Namespaced delete request actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/DELETE_REQ`.
     */
    DELETE_REQ: `${namespace}/DELETE_REQ`,
    /**
     * Namespaced delete response actionType.
     * @function
     * @memberof RESTReduxCRUD.actionTypes
     * @returns {string} Namespaced actionType `${namespace}/DELETE_RESP`.
     */
    DELETE_RESP: `${namespace}/DELETE_RESP`
});
export default actionTypes;
//# sourceMappingURL=actionTypes.js.map